gstreamer patches need upstreaming

Bug #930372 reported by Tom Gall on 2012-02-10
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Linaro Multimedia WG project
Fix Released
Medium
Kan HU

Bug Description

imx specific patches for gstreamer have not been upstreamed. There is a need for help to do that.

Tom Gall (tom-gall) wrote :

From the Linaro Connect 1Q12 session on freescale imx audio. It was noted that help was needed with gstreamer patches for imx that hadn't been upstreamed.

Changed in linaro-multimedia-project:
assignee: nobody → Kan HU (kanhu)
importance: Undecided → Medium
Kan HU (kanhu) wrote :

Need apply this patch for in linaro overlay PPA.

Tom Gall (tom-gall) wrote :

avik / Kan - could you coordinate on this? If this just need to get into overlay let's get this completed in 12.03 please.

Kan does "upstream" also mean other locations such as the upstream community? Please comment?

Changed in linaro-multimedia-project:
milestone: none → 2012.03
Avik Sil (aviksil) wrote :

Kan, is this patch for gst-plugins-base0.10-0.10.35 package?

Kan HU (kanhu) wrote :

yes, it's for 0.10.35

Kan HU (kanhu) wrote :

It should be put to the overlay ppa, not really need to upstream to gstreamer community.
Since the patch is suit for arm platform to improve performance.

Avik Sil (aviksil) wrote :

Added the patch and updated the package in overlay. But it failed to build, seems like some QEMU issue as the builder is a QEMU ARM test builder: https://launchpad.net/~linaro-maintainers/+archive/overlay/+build/3285688

Kan HU (kanhu) wrote :

I'm wondering what the last package build on? qemu or a arm machine.
should file a bug to anyone?

Fathi Boudra (fboudra) wrote :

it's buit on QEMU. The issue has been raised to the buildd owner.

Fathi Boudra (fboudra) wrote :

QEMU has been updated to 2012.03. Please let us know if this doesn't resolve the problem.

Kan HU (kanhu) wrote :

thanks, Fathi Boudra

Could you please help to trigger a new build, or you can teach me to do that :)

Avik Sil (aviksil) wrote :

With the new QEMU also the build is failing: https://launchpadlibrarian.net/97608853/buildlog_ubuntu-oneiric-armel.gst-plugins-base0.10_0.10.35-1%2Bti1.5.1.1%2B1linaro3_FAILEDTOBUILD.txt.gz

Fathi, can you please ask IS to allocate real armel builders instead of QEMU ARM test builder for overlay and staging overlay?

Thanks.

Kan HU (kanhu) on 2012-03-21
Changed in linaro-multimedia-project:
status: New → Fix Committed
Kan HU (kanhu) wrote :

Fathi, how about this issue, can you help at least make it build on real armel builder?

Ricardo Salveti (rsalveti) wrote :

Was this patch tested over our current gst-plugins-base0.10-0.10.35 package available at the overlay? It's unclear to me how this would improve performance, please describe it better.

Kan HU (kanhu) wrote :

This patch is from freescale internal. for the videosink support csc and resize, it will not connect videoconvert and videorescale.
It will help i.mx for performance with freescale's gstreamer plugins package..
We discussed it in the LC Q1 2012 that freescale landing team do not want release the gstreamer-plugin-base package dedicate for freescale . And the patch should be harmless for the TI platform.
I have test it on the panda board, and does not see any bad affect until now.

Kan HU (kanhu) wrote :

rob,
could you please help to check the patch to see if there potential affect with TI's gstreamer implementations?

Ricardo Salveti (rsalveti) wrote :

Patch applied at the build https://launchpad.net/~linaro-maintainers/+archive/overlay/+build/3318854. Had to disable the run-time test execution to be able to build it with Qemu.

Fathi Boudra (fboudra) on 2013-03-29
Changed in linaro-multimedia-project:
status: Fix Committed → Fix Released
no longer affects: linaro-ubuntu
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers